<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="initializing$ | async as initializing">
  <app-table-skeleton *ngIf="initializing"> </app-table-skeleton>
  <ng-container *ngIf="!initializing">
    <p-table [value]="(invitations$ | async) ?? []" styleClass="p-datatable-striped" [scrollable]="true" scrollHeight="calc(100dvh - 340px)">
      <ng-template pTemplate="header">
        <tr>
          <th>Email</th>
          <th></th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-invitation>
        <tr>
          <td style="width: 400px">
            <app-invitation-preview [invitation]="invitation"></app-invitation-preview>
          </td>
          <td>
            <app-invitation-options [invitation]="invitation"></app-invitation-options>
          </td>
        </tr>
      </ng-template>
      <ng-template pTemplate="emptymessage">
        <tr>
          <td colspan="2">
            <div class="w-full h-full flex flex-col items-center gap-4 py-2 justify-center">
              <div class="text-lg font-semibold text-text-300">
                <app-sad-face></app-sad-face>
              </div>
              <div class="text-text-300">No invitations</div>
            </div>
          </td>
        </tr>
      </ng-template>
    </p-table>
  </ng-container>
</ng-container>
